	<f:view xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
	<div id="ideaInputStepTwoModal" class="w3-modal">
	<div class="w3-modal-content w3-animate-opacity">
	<h:form id="ideaInputStepTwoForm" enctype="multipart/form-data">
				<header class="w3-container w3-blue">
					<h2 id="ideaInputModalHeadline">Deine Idee in Bildern!</h2>
				</header>
				<div class="w3-container w3-padding-small">

			<ui:fragment id="previewImg" rendered="#{not empty ideaInputBean.ideasPicture}">
					<center>
  						<img class="w3-padding-16" src="data:image/png;base64,#{ideaInputBean.getImageContentsAsBase64()}" style="width:40%; height:280px;" />
  					</center>
				</ui:fragment>

				<ui:fragment rendered="false">
				<p>Lade hier ein Bild für deine Idee hoch ohne es zu editieren:</p>
						<p:fileUpload id="fileUpload"
						fileUploadListener="#{ideaInputBean.upload}" mode="advanced" auto="true"
						dragDropSupport="true" sizeLimit="10000000"
						allowTypes="/(\.|\/)(gif|jpe?g|png)$/" />
				</ui:fragment>
				</div>


	</h:form>
	
	<p:panel id="ideaInputStepTwoPanel" style="#{ideaInputBean.styleModalTwo}">
	<p>Lade ein Bild für deine Idee hoch und markiere interessante Stellen:</p>
	<div class="w3-container w3-padding-small">
					<div class="canvas-container" style="width: 350px; height: 500px; position: relative; user-select: none; float:left;">
						<canvas id="c" width="400" height="500" style="border: 1px solid rgb(170, 170, 170); position: absolute;
							width: 500px; height: 500px; left: 0px; top: 0px; touch-action: none; user-select: none;" class="lower-canvas">
						</canvas>
					</div>
					<div style="display: inline-block; margin-top: 10px; margin-left:120px;">
					<button id="drawing-mode" class="btn btn-info">Editiermodus</button>
					<button id="delete-object" class="btn btn-info" style="display:none;">Ausgewähltes Objekt Löschen</button>
					<button id="save-img" class="btn btn-info">Änderungen Speichern</button>
					<br></br>
					<button id="clear-canvas" class="btn btn-info">Löschen</button>
					<!-- <button id="save-img" class="btn btn-info">Save</button> -->
					<div id="drawing-mode-options">
						<label for="drawing-mode-selector">Modus:</label>
						<select id="drawing-mode-selector">
							<option>Pencil</option>
							<option>Circle</option>
							<option>Spray</option>
							<option>Pattern</option>
							<option>hline</option>
							<option>vline</option>
							<option>square</option>
							<option>diamond</option>
						</select>
						<br></br>
						<label for="drawing-line-width">Line width:</label>
						<span class="info"></span>
						<input type="range" value="30" min="0" max="150" id="drawing-line-width"></input>
						<br></br>
						<label for="drawing-color">Line color:</label>
						<input type="color" value="#005E7A" id="drawing-color"></input>
						<br></br>
						<label for="drawing-shadow-color">Shadow color:</label>
						<input type="color" value="#005E7A" id="drawing-shadow-color"></input>
						<br></br>
						<label for="drawing-shadow-width">Shadow width:</label>
						<span class="info"></span>
						<input type="range" value="0" min="0" max="50" id="drawing-shadow-width"></input>
						<br></br>
						<label for="drawing-shadow-offset">Shadow offset:</label>
						<span class="info"></span>
						<input type="range" value="0" min="0" max="50" id="drawing-shadow-offset"></input>
						<br></br>
						</div>
						<h:form id="uploadImgForm" style="margin-top:120px;" enctype="multipart/form-data">
					  		<input type="file" id="uploadedImg"/>
					  </h:form>
					</div>
				</div>
				</p:panel>

				<h:form id="ideaInputStepTwoFormFooter">
					<h:inputHidden id="imgData" value="#{ideaInputBean.dataUrl}" />
					<footer class="w3-container w3-grey">
						<div class="w3-bar">
							<p:commandButton value="Weiter" id="submitStepTwo" styleClass="ui-priority-primary"
							style="float:right;" actionListener="#{ideaInputBean.ideaInputStepTwo}">
							</p:commandButton>
							<p:commandButton value="Abbruch" id="cancelBtnStepTwo" type="button"
								onclick="document.getElementById('ideaInputStepTwoModal').style.display='none';">
							</p:commandButton>
						</div>
					</footer>
				</h:form>
		</div>
		<h:outputScript library = "js" name = "freedrawing.js" />
	</div>
	</f:view>